Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(9)

Issue 2487493004: Support external task cancellation mechanisms in base::Callback::IsCancelled (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
9 months, 1 week ago by tzik
Modified:
8 months, 3 weeks ago
CC:
chromium-reviews, blink-reviews, scheduler-bugs_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Support external task cancellation mechanisms in base::Callback::IsCancelled This CL cleans up the implementation of base::Callback::IsCancelled(), and exposes an injection point as BindCancellationChecker, so that external code can implement the cancellation handling. Plus, this CL adds a specialization of BindCancellationChecker for blink::TaskRunner::Runner, so that the blink task scheduler can handle a cancellation of a task posted via WebTaskRunner::postCancellableTask() properly. Committed: https://crrev.com/6c92eabcfe60a3cfd43b51cedec7ce41061a5d62 Cr-Commit-Position: refs/heads/master@{#434511}

Patch Set 1 #

Patch Set 2 : . #

Total comments: 6

Patch Set 3 : . #

Patch Set 4 : s/BindCancellationChecker/CallbackCancellationTraits/ #

Total comments: 3

Patch Set 5 : . #

Unified diffs Side-by-side diffs Delta from patch set Stats (+156 lines, -45 lines) Patch
M base/bind_helpers.h View 1 2 3 4 2 chunks +45 lines, -0 lines 0 comments Download
M base/bind_internal.h View 1 2 3 4 chunks +27 lines, -42 lines 0 comments Download
M third_party/WebKit/Source/platform/DEPS View 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/WebTaskRunner.h View 1 2 3 4 1 chunk +2 lines, -1 line 0 comments Download
M third_party/WebKit/Source/platform/WebTaskRunner.cpp View 1 2 3 2 chunks +22 lines, -1 line 0 comments Download
M third_party/WebKit/Source/platform/WebTaskRunnerTest.cpp View 1 2 2 chunks +51 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/scheduler/test/fake_web_task_runner.h View 1 2 2 chunks +4 lines, -1 line 0 comments Download
M third_party/WebKit/Source/platform/scheduler/test/fake_web_task_runner.cc View 1 2 1 chunk +4 lines, -0 lines 0 comments Download
Trybot results:  win_chromium_rel_ng   linux_chromium_rel_ng   win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-device   ios-simulator   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_clobber_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_compile_dbg_ng   chromium_presubmit   linux_chromium_asan_rel_ng   chromeos_x86-generic_chromium_compile_only_ng   chromeos_daisy_chromium_compile_only_ng   cast_shell_linux   chromeos_amd64-generic_chromium_compile_only_ng   linux_android_rel_ng   blimp_linux_dbg   cast_shell_android   android_cronet   android_n5x_swarming_rel   android_compile_dbg   android_arm64_dbg_recipe   android_clang_dbg_recipe   mac_chromium_rel_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator   ios-device   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_clobber_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_chromeos_compile_dbg_ng   linux_chromium_asan_rel_ng   chromeos_x86-generic_chromium_compile_only_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   blimp_linux_dbg   linux_android_rel_ng   cast_shell_android   android_n5x_swarming_rel   android_compile_dbg   android_cronet   android_clang_dbg_recipe   android_arm64_dbg_recipe   win_clang   win_chromium_rel_ng   win_chromium_x64_rel_ng   win_chromium_compile_dbg_ng 
Commit queue not available (can’t edit this change).

Messages

Total messages: 43 (31 generated)
tzik
PTAL
9 months, 1 week ago (2016-11-09 16:22:22 UTC) #14
haraken
I think dcheng or alex would be a better reviewer for this. https://codereview.chromium.org/2487493004/diff/20001/third_party/WebKit/Source/platform/scheduler/test/fake_web_task_runner.cc File third_party/WebKit/Source/platform/scheduler/test/fake_web_task_runner.cc ...
9 months, 1 week ago (2016-11-10 04:20:10 UTC) #17
dcheng
https://codereview.chromium.org/2487493004/diff/20001/base/bind_helpers.h File base/bind_helpers.h (right): https://codereview.chromium.org/2487493004/diff/20001/base/bind_helpers.h#newcode534 base/bind_helpers.h:534: struct BindCancellationChecker { My main thoughts are around naming. ...
9 months, 1 week ago (2016-11-10 06:29:23 UTC) #18
tzik
https://codereview.chromium.org/2487493004/diff/20001/base/bind_helpers.h File base/bind_helpers.h (right): https://codereview.chromium.org/2487493004/diff/20001/base/bind_helpers.h#newcode534 base/bind_helpers.h:534: struct BindCancellationChecker { On 2016/11/10 06:29:23, dcheng wrote: > ...
9 months, 1 week ago (2016-11-10 07:21:14 UTC) #24
dcheng
LGTM https://codereview.chromium.org/2487493004/diff/60001/base/bind_helpers.h File base/bind_helpers.h (right): https://codereview.chromium.org/2487493004/diff/60001/base/bind_helpers.h#newcode528 base/bind_helpers.h:528: // base::Bind. Nit: I'd make this comment mostly ...
9 months, 1 week ago (2016-11-10 07:36:23 UTC) #25
alex clarke (OOO till 29th)
lgtm https://codereview.chromium.org/2487493004/diff/60001/base/bind_helpers.h File base/bind_helpers.h (right): https://codereview.chromium.org/2487493004/diff/60001/base/bind_helpers.h#newcode528 base/bind_helpers.h:528: // base::Bind. On 2016/11/10 07:36:23, dcheng wrote: > ...
9 months, 1 week ago (2016-11-10 10:02:21 UTC) #28
tzik
https://codereview.chromium.org/2487493004/diff/60001/base/bind_helpers.h File base/bind_helpers.h (right): https://codereview.chromium.org/2487493004/diff/60001/base/bind_helpers.h#newcode528 base/bind_helpers.h:528: // base::Bind. On 2016/11/10 07:36:23, dcheng wrote: > Nit: ...
9 months ago (2016-11-15 11:40:35 UTC) #29
tzik
haraken: ping. Any comment or concern?
8 months, 3 weeks ago (2016-11-25 09:48:31 UTC) #34
haraken
On 2016/11/25 09:48:31, tzik wrote: > haraken: ping. Any comment or concern? LGTM
8 months, 3 weeks ago (2016-11-25 10:28:59 UTC) #35
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2487493004/80001
8 months, 3 weeks ago (2016-11-25 12:12:17 UTC) #38
commit-bot: I haz the power
Committed patchset #5 (id:80001)
8 months, 3 weeks ago (2016-11-25 15:57:04 UTC) #41
commit-bot: I haz the power
8 months, 3 weeks ago (2016-11-25 15:59:04 UTC) #43
Message was sent while issue was closed.
Patchset 5 (id:??) landed as
https://crrev.com/6c92eabcfe60a3cfd43b51cedec7ce41061a5d62
Cr-Commit-Position: refs/heads/master@{#434511}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b